# $Revision: 1.11 $, $Date: 2008/10/15 16:31:08 $
%define		subver rc2
%define		rel 1
Summary:	libmemcache - the C API for memcached
Summary(pl.UTF-8):	libmemcache - API C do memcached
Name:		libmemcache
Version:	1.4.0
Release:	0.%{subver}.%{rel}
License:	MIT
Group:		Libraries
Source0:	http://people.freebsd.org/~seanc/libmemcache/%{name}-%{version}.%{subver}.tar.bz2
# Source0-md5:	402c957cd71538c07a263542eeb513d1
Patch0:		%{name}-make.patch
URL:		http://people.freebsd.org/~seanc/libmemcache/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Features:
- Support for Multiple Memory Contexts. This is primarily used for
  programs that need to use memcache(3) inside of Apache where both
  Apache and PHP have their own memory management systems.
- Callback Interface. Using the callback interface, it's possible to
  lump many gets together into a single get request with a great deal of
  ease.
- Multiple Client Side Hashes. memcache(3) supports multiple hashing
  methods to distribute load across multiple servers.
- Multiple Servers. memcache(3) supports multiple servers.
- Support for Garbage Collection. memcache(3) was written with the
  Boehm Garbage Collector in mind.
- MIT Licensed. memcache(3) is as Open Source as it gets and can be
  embedded in anything (commercial software, open source, etc).

%description -l pl.UTF-8
Możliwości:
- Obsługa wielu kontekstów pamięci; służy głównie do programów, które
  muszą używać memcache(3) wewnątrz Apache'a, gdzie zarówno Apache jak i
  PHP mają własne systemy zarządzania pamięcią.
- Interfejs wywołań zwrotnych; przy jego użyciu można pogodzić wiele
  pobrań w jedno żądanie pobrania znacznie ułatwiając pracę.
- Wiele haszy po stronie klienta; memcache(3) obsługuje wiele metod
  haszowania do rozdysponowania obciążenia na wiele serwerów.
- Wiele serwerów; memcache(3) obsługuje wiele serwerów.
- Obsluga odśmiecacza; memcache(3) zostało napisane z myślą o Boehm
  Garbage Collectorze.
- Licencja MIT; memcache(3) to oprogramowanie z otwartymi źródłami,
  które można osadzić gdziekolwiek (w programowaniu komercyjnym, open
  source itd.).

%package devel
Summary:	Header files for libmemcache library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libmemcache
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This is the package containing the header files for libmemcache.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe biblioteki libmemcache.

%package static
Summary:	Static libmemcache library
Summary(pl.UTF-8):	Statyczna biblioteka libmemcache
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libmemcache library.

%description static -l pl.UTF-8
Statyczna biblioteka libmemcache.

%prep
%setup -q -n %{name}-%{version}.%{subver}
%patch0 -p1

# create tests dir without Makefiles
cp -a test tests
rm -f tests{,/*}/Makefile*

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install -j1 \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog INSTALL
%attr(755,root,root) %{_libdir}/libmemcache.so.*.*

%files devel
%defattr(644,root,root,755)
%doc tests/
%attr(755,root,root) %{_libdir}/libmemcache.so
%{_libdir}/libmemcache.la
%{_includedir}/memcache
%{_includedir}/memcache.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libmemcache.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libmemcache.spec,v $
Revision 1.11  2008/10/15 16:31:08  glen
- rel 2

Revision 1.10  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.9  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.8  2006/04/25 18:58:43  glen
- 1.4.0-rc2

Revision 1.7  2006/02/03 22:40:13  glen
- 1.4.0-rc1

Revision 1.6  2005/10/31 11:21:47  glen
- update to 1.4.0-beta9

Revision 1.5  2005/08/23 12:23:30  glen
- updated to 1.4.0, API is preserved but anything linking against 1.4 needs recompiling

Revision 1.4  2005/06/25 21:59:31  qboosh
- pl

Revision 1.3  2005/06/22 13:42:12  glen
- merge 1.3.0-beta9 from DEVEL

Revision 1.2.2.3  2005/06/22 13:41:37  glen
- include beta in release

Revision 1.2.2.2  2005/06/22 13:37:17  glen
- up to 1.3.0 beta9 (needed for php4-mcache)

Revision 1.2.2.1  2005/06/22 13:04:58  glen
- regression, need 1.2.3 for php-mcache

Revision 1.2  2005/06/22 12:39:29  glen
- fix dep for devel package

Revision 1.1  2005/06/22 12:28:01  glen
- library against memcached
